FaqSubversionClients

Revision as of 09:29, 11 April 2012 by Ovrabec (Talk | contribs)

Contents

What Subversion clients are supported by the IDE?

NetBeans 5.x, 6.0, 6.1

  • Only commandline client is supported.

NetBeans >= 6.5

  • Commandline client is supported
  • JavaHL is supported. In case of Windows you may install it from the Update Center. Select Tools > Plugins > Available Plugins > Subversion 1.5 for Windows. For other systems and having javahl installed please go to 'Tools > Options > Miscellaneous > Versioning > Subversion > Path to SVN executable File' and set the path to the javahl installation directory. Javahl is preferred, but if it can not be found the module falls back to the command line client.

NetBeans >= 6.7

  • Commandline client is supported
  • The bundled JavaHL client for Windows (available on the Update Center) has been renamed to Bundled Subversion Client for Windows.

NetBeans >= 7.0

  • Commandline and JavaHL clients are supported
  • SvnKit is natively supported by the IDE

NetBeans >= 7.2

  • Commandline, JavaHL and SvnKit clients are supported
  • It is possible to switch between them from Tools -> Options while the IDE is running

see also How to use Subversion support with JavaHL and How to setup Subversion to use the command line client

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo